Class EngineerController

java.lang.Object
org.apache.clusterbr.zupportl5.controller.EngineerController

@RestController @RequestMapping("/api/engineers") public class EngineerController extends Object

REST-API Endpoints --

  • GET /api/engineers/id/{id:d+}: Returns data from the API
  • PUT /api/engineers/{id}: Updates an entry by ID
  • DELETE /api/engineers/{id}: Deletes an entry by ID
  • GET /api/engineers/email/{email:.+@.+..+}: Returns data from the API
  • PATCH /api/engineers/{id}: Partially updates an entry by ID

UML Diagrams:

UML CLASS Diagram

UML USECASE Diagram

UML SEQ Diagram

UML ACTIVITY Diagram

Since:
2024-1108
Author:
arcbrth@gmail.com
  • Constructor Details

    • EngineerController

      @Autowired public EngineerController(EngineerService service)
  • Method Details

    • create

      @PostMapping public org.springframework.http.ResponseEntity<Engineer> create(@RequestBody Engineer item)
    • getAll

      @GetMapping public org.springframework.http.ResponseEntity<List<Engineer>> getAll()
    • getById

      @GetMapping("/id/{id:\\d+}") public org.springframework.http.ResponseEntity<Engineer> getById(@PathVariable Long id)
    • getByEmail

      @GetMapping("/email/{email:.+@.+\\..+}") public org.springframework.http.ResponseEntity<Engineer> getByEmail(@PathVariable String email)
    • update

      @PutMapping("/{id}") public org.springframework.http.ResponseEntity<Engineer> update(@PathVariable Long id, @RequestBody Engineer item)
    • partialUpdate

      @PatchMapping("/{id}") public org.springframework.http.ResponseEntity<Engineer> partialUpdate(@PathVariable Long id, @RequestBody Map<String,Object> updates)
    • delete

      @DeleteMapping("/{id}") public org.springframework.http.ResponseEntity<Void> delete(@PathVariable Long id)